%define name wxGTK
%define version 2.2.5
%define release 1mdk

Name:		%{name}
Summary:	The GTK+ 1.2 port of the wxWindows library
Version:	%{version}
Release:	%{release}
License:	wxWindows License
Group:		System/Libraries
URL:		http://wesley.informatik.uni-freiburg.de/~wxxt/
Source:		%{name}-%{version}.tar.bz2
Provides:	wxwin
BuildRoot:	%{_tmppath}/%{name}-buildroot


%description
wxWindows is a free C++ library for cross-platform GUI development.
With wxWindows, you can create applications for different GUIs (GTK+,
Motif/LessTif, MS Windows, Mac) from the same source code.

%package devel
Summary:	The GTK+ 1.2 port of the wxWindows library
Group:		System/Libraries
Requires:	wxGTK = 2.2.4

%description devel
Header files for wxGTK, the GTK+ 1.2 port of the wxWindows library.

%package gl
Summary:	The GTK+ 1.2 port of the wxWindows library, OpenGl add-on.
Group:		System/Libraries
Requires:	wxGTK = 2.2.4

%description gl
OpenGl add-on library for wxGTK, the GTK+ 1.2 port of the wxWindows library.


%prep
rm -rf $RPM_BUILD_ROOT


%setup 

%configure --enable-burnt_name --without-odbc \
  --with-opengl --with-gtk --without-shared --without-debug_flag \
  --without-debug_info --enable-optimise


%build

%make

%install

%makeinstall
find $RPM_BUILD_ROOT%{_prefix} -type f -print | sed "s@^$RPM_BUILD_ROOT@@g" | grep -v perllocal.pod > $RPM_BUILD_DIR/tmp-filelist

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig

%post gl
/sbin/ldconfig


%postun
/sbin/ldconfig

%postun gl
/sbin/ldconfig


%files
%defattr(-,root,root,0755)
%doc docs/*
%doc CHANGES.txt COPYING.LIB INSTALL.txt LICENCE.txt README.txt SYMBOLS.txt TODO.txt
%{_datadir}/wx/*
%{_libdir}/libwx_gtk-*
%{_libdir}/libwx_gtk.so

%files devel
%defattr(-,root,root,0755)
%{_bindir}/wxgtk-config
%{_bindir}/wx-config
%{_includedir}/wx/*
%{_libdir}/wx/*

%files gl
%defattr(-,root,root,0755)
%{_libdir}/libwx_gtk_gl*


%changelog
* Thu Feb 15 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.2.5-1mdk
- updated to 2.2.5

* Mon Jan 15 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.2.4-1mdk
- updated to 2.2.4

* Tue Dec 05 2000 Lenny Cartier <lenny@mandrakesoft.com> 2.2.2-2mdk
- build for gcc-2.96

* Sun Sep 17 2000 Lenny Cartier <lenny@mandrakesoft.com> 2.2.2-1mdk
- update to 2.2.2
- clean spec
- BM

* Sat Aug 05 2000 Lenny Cartier <lenny@mandrakesoft.com> 2.2.0-1mdk
- fix symlink that broke this lib
- update to 2.2.0
- macros

* Sat May 27 2000 Vincent Danen <vdanen@linux-mandrake.com> 2.1.15-2mdk
- add --with-gtk, --without-odbc, --without-shared, --without-debug_flag,
  and --without-debug_info to configure

* Fri May 26 2000 Vincent Danen <vdanen@linux-mandrake.com> 2.1.15-1mdk
- initial specfile
- bzip sources
